<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/Recipes/Recipes/PaintMosinCamoBlack.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d15/_paint_mosin_camo_black_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PaintMosinCamoBlack.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d15/_paint_mosin_camo_black_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PaintMosinCamoBlack <span class="keyword">extends</span> <a class="code hl_class" href="../../db/d2a/class_recipe_base.html">RecipeBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/d2a/class_recipe_base.html#ac57012907715de1452f577c9693805bc">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#ac57012907715de1452f577c9693805bc">Init</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#a3053a6d8752e323caa7797c18a0083b0">m_Name</a> = <span class="stringliteral">&quot;#STR_paint0&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        m_IsInstaRecipe = <span class="keyword">false</span>;<span class="comment">//should this recipe be performed instantly without animation</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        m_AnimationLength = 1.5;<span class="comment">//animation length in relative time units</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        m_Specialty = 0.01;<span class="comment">// value &gt; 0 for roughness, value &lt; 0 for precision</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="comment">//conditions</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_MinDamageIngredient[0] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        m_MaxDamageIngredient[0] = 3;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_MinQuantityIngredient[0] = 25;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_MaxQuantityIngredient[0] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_MinDamageIngredient[1] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_MaxDamageIngredient[1] = 3;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_MinQuantityIngredient[1] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_MaxQuantityIngredient[1] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="comment">//----------------------------------------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="comment">//INGREDIENTS</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="comment">//ingredient 1</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#ac2dea2a6f697b00b33bbc445d3e05e17">InsertIngredient</a>(0,<span class="stringliteral">&quot;Spraycan_Black&quot;</span>);<span class="comment">//you can insert multiple ingredients this way</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_IngredientAddHealth[0] = 0;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_IngredientSetHealth[0] = -1; <span class="comment">// -1 = do nothing</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_IngredientAddQuantity[0] = -25;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_IngredientDestroy[0] = <span class="keyword">false</span>;<span class="comment">//true = destroy, false = do nothing</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_IngredientUseSoftSkills[0] = <span class="keyword">true</span>;<span class="comment">// set &#39;true&#39; to allow modification of the values by softskills on this ingredient</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="comment">//ingredient 2</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#ac2dea2a6f697b00b33bbc445d3e05e17">InsertIngredient</a>(1,<span class="stringliteral">&quot;Mosin9130_Green&quot;</span>);<span class="comment">//you can insert multiple ingredients this way</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        m_IngredientAddHealth[1] = 0;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        m_IngredientSetHealth[1] = -1; <span class="comment">// -1 = do nothing</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        m_IngredientAddQuantity[1] = 0;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        m_IngredientDestroy[1] = <span class="keyword">false</span>;<span class="comment">// false = do nothing</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_IngredientUseSoftSkills[1] = <span class="keyword">false</span>;<span class="comment">// set &#39;true&#39; to allow modification of the values by softskills on this ingredient</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="comment">//----------------------------------------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="comment">//result1</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="comment">        AddResult(&quot;Mosin9130_Camo&quot;);//add results here</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment"></span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment">        m_ResultSetFullQuantity[0] = false;//true = set full quantity, false = do nothing</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">        m_ResultSetQuantity[0] = -1;//-1 = do nothing</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">        m_ResultSetHealth[0] = -1;//-1 = do nothing</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">        m_ResultInheritsHealth[0] = 1;// (value) == -1 means do nothing; a (value) &gt;= 0 means this result will inherit health from ingredient number (value);(value) == -2 means this result will inherit health from all ingredients averaged(result_health = combined_health_of_ingredients / number_of_ingredients)</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="comment">        m_ResultInheritsColor[0] = -1;// (value) == -1 means do nothing; a (value) &gt;= 0 means this result classname will be a composite of the name provided in AddResult method and config value &quot;color&quot; of ingredient (value)</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">        m_ResultToInventory[0] = -1;//(value) == -2 spawn result on the ground;(value) == -1 place anywhere in the players inventory, (value) &gt;= 0 means switch position with ingredient number(value)</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">        m_ResultUseSoftSkills[0] = false;// set &#39;true&#39; to allow modification of the values by softskills on this result</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">        m_ResultReplacesIngredient[0] = 1;// value == -1 means do nothing; a value &gt;= 0 means this result will transfer item propertiesvariables, attachments etc.. from an ingredient value</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">        */</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../db/d2a/class_recipe_base.html#a26f4744e99b76ecd22e386cedcf95bb7">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#a26f4744e99b76ecd22e386cedcf95bb7">CanDo</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../db/d2a/class_recipe_base.html#a7a710eb8417a3bb99b41015d96e88a91">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#a7a710eb8417a3bb99b41015d96e88a91">Do</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player,<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ItemBase&gt;</a> results, <span class="keywordtype">float</span> specialty_weight)<span class="comment">//gets called upon recipe&#39;s completion</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        MiscGameplayFunctions.TurnItemIntoItemEx(player, <span class="keyword">new</span> <a class="code hl_class" href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a>(ingredients[1], <span class="stringliteral">&quot;Mosin9130_Camo&quot;</span>, player));</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>};</div>
<div class="ttc" id="a_bios_lobby_service_8c_html_a3053a6d8752e323caa7797c18a0083b0"><div class="ttname"><a href="../../db/de7/_bios_lobby_service_8c.html#a3053a6d8752e323caa7797c18a0083b0">m_Name</a></div><div class="ttdeci">string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../db/de7/_bios_lobby_service_8c_source.html#l00034">BiosLobbyService.c:34</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_recipe_base_html"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html">RecipeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/da8/_recipe_base_8c_source.html#l00004">RecipeBase.c:5</a></div></div>
<div class="ttc" id="aclass_recipe_base_html_a26f4744e99b76ecd22e386cedcf95bb7"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html#a26f4744e99b76ecd22e386cedcf95bb7">RecipeBase::CanDo</a></div><div class="ttdeci">override bool CanDo(ItemBase ingredients[], PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d15/_paint_mosin_camo_black_8c_source.html#l00060">PaintMosinCamoBlack.c:60</a></div></div>
<div class="ttc" id="aclass_recipe_base_html_a7a710eb8417a3bb99b41015d96e88a91"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html#a7a710eb8417a3bb99b41015d96e88a91">RecipeBase::Do</a></div><div class="ttdeci">override void Do(ItemBase ingredients[], PlayerBase player, array&lt; ItemBase &gt; results, float specialty_weight)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d15/_paint_mosin_camo_black_8c_source.html#l00065">PaintMosinCamoBlack.c:65</a></div></div>
<div class="ttc" id="aclass_recipe_base_html_ac2dea2a6f697b00b33bbc445d3e05e17"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html#ac2dea2a6f697b00b33bbc445d3e05e17">RecipeBase::InsertIngredient</a></div><div class="ttdeci">void InsertIngredient(int index, string ingredient)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/da8/_recipe_base_8c_source.html#l00133">RecipeBase.c:133</a></div></div>
<div class="ttc" id="aclass_recipe_base_html_ac57012907715de1452f577c9693805bc"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html#ac57012907715de1452f577c9693805bc">RecipeBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d15/_paint_mosin_camo_black_8c_source.html#l00003">PaintMosinCamoBlack.c:3</a></div></div>
<div class="ttc" id="aclass_turn_item_into_item_lambda_html"><div class="ttname"><a href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00091">MiscGameplayFunctions.c:92</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_9c03c092f9469dd2c1a1487fb696496c.html">Recipes</a></li><li class="navelem"><a class="el" href="../../dir_1e551e3d1cfd5aa97359527957b79f54.html">Recipes</a></li><li class="navelem"><a class="el" href="../../da/d15/_paint_mosin_camo_black_8c.html">PaintMosinCamoBlack.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
